from __future__ import annotations
from typing import Any, Optional, Union
from agentkit.context import ConversationContext
from agentkit.types import LLMFunctionInfo, LLMFunctionResponse, PluginConfigParam


class AgentKitLLMFunction:
    CONFIG: list[PluginConfigParam] = []

    def __init__(self, props: dict, **kwargs):
        pass


    async def get_llm_function_info() -> Optional[LLMFunctionInfo]:
        """
        Get function information for the LLM function.
        return None to disable the function for this context.
        """
        return None
    

    async def run(self, context: ConversationContext, params: Any) -> Union[str, LLMFunctionResponse]:
        return "Function not implemented"