from __future__ import annotations
from typing import Any

from agentkit.context import ConversationContext
from agentkit.llm_function import AgentKitLLMFunctionContainer
from agentkit.types import PluginConfigParam

class AgentKitModelApi:
    CONFIG: list[PluginConfigParam] = []
    INPUT: list[PluginConfigParam] = []

    def __init__(self, props: dict, **kwargs):
        pass

    async def __aenter__(self) -> AgentKitModelApi:
        return self
    
    async def __aexit__(self, exc_type: Any, exc_val: Any, exc_tb: Any) -> None:
        return None
    
    async def chatcomplete(self, context: ConversationContext, llm_functions: AgentKitLLMFunctionContainer) -> ConversationContext:
        return context
    
    async def chatcomplete_stream(self, context: ConversationContext, llm_functions: AgentKitLLMFunctionContainer) -> ConversationContext:
        return context
    
    async def get_token_count(self, context: ConversationContext) -> int:
        return 0