from aiohttp import web
from utils.server import register_server_module

import init.service.database as _  # Init database

# Auto create database tables
from server.model.toolbox_ui.page_title import PageTitleModel as _
from server.model.toolbox_ui.conversation import ConversationModel as _

# Route
from server.route.toolbox_ui import register_route

def init(app: web.Application):
    register_route(app)

register_server_module("toolbox_ui", init)