from aiohttp import web

from server.controller.EmbeddingSearch import EmbeddingSearch

def register_route(app: web.Application):
    app.router.add_routes([
        web.route('*', '/embedding_search/index_page', EmbeddingSearch.index_page),
        web.route('*', '/embedding_search/search', EmbeddingSearch.search),
        web.route('POST', '/sys/embedding_search/title/update', EmbeddingSearch.sys_update_title_info),
    ])