from __future__ import annotations
from typing import Any
from agentkit.context import ConversationContext
from agentkit.types import PluginConfigParam


class AgentKitCondition:
    INPUT: list[PluginConfigParam] = []
    """
    Input parameters for the condition.
    """

    def __init__(self, props: dict):
        pass


    async def __aenter__(self) -> AgentKitCondition:
        return self
    

    async def __aexit__(self, exc_type: Any, exc_val: Any, exc_tb: Any) -> None:
        return None
    

    async def evaluate(self, context: ConversationContext, **kwargs) -> bool:
        """
        Evaluate the condition.
        """
        return False