from agentkit.types import PluginConfigParam


def create_plugin_params(input_params: dict, param_def: list[PluginConfigParam]) -> dict:
    params = {}
    for param in param_def:
        if param["id"] in input_params:
            params[param["id"]] = input_params[param["id"]]
        else:
            params[param["id"]] = param["default"]
    return params