from aiohttp import web

from server.controller.Hanja import Hanja
from server.controller.Hanzi import Hanzi
from server.controller.Kanji import Kanji

def register_route(app: web.Application):
    app.router.add_routes([
        web.route('*', '/hanzi/pinyin/', Hanzi.hanziToPinyin),
        web.route('*', '/hanzi/split/', Hanzi.splitHanzi),

        web.route('*', '/kanji/romaji/', Kanji.kanji2romaji),

        web.route('*', '/hanja/romaja/', Hanja.hanja2roma),
    ])